<template>
  <div class="home">
    <ObjectFreeze/>
    <span>{{thisVal}}</span>
  </div>
</template>

<script>
// @ is an alias to /src
import ObjectFreeze from '../components/ObjectFreeze.vue'
export default {
  name: 'Home',
  components: {
    ObjectFreeze
  },
  data(){
    return{
      computedVal:'computed中的第一个参数可以获取this中的所有值'
    }
  },
  computed:{
    thisVal({computedVal,$attrs,$route,$store,$listeners,$ref}){
      console.log($attrs,$route,$store,$listeners,$ref);
      return computedVal
    }
  },
  created(){
    console.log(this.thisVal);
  }
}
</script>
